Bug 250491 - textproc/ibus: upgrade to 1.5.23
Summary: textproc/ibus: upgrade to 1.5.23
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thierry Thomas
URL: https://github.com/ibus/ibus/releases...
Keywords:
Depends on:
Blocks: 250490
  Show dependency treegraph
 
Reported: 2020-10-20 18:10 UTC by Thierry Thomas
Modified: 2020-10-31 17:56 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (henry.hu.sh)


Attachments
Upgrade to 1.5.23. (1.99 KB, text/plain)
2020-10-20 18:10 UTC, Thierry Thomas
no flags Details
Patch to upgrade ibus. (1.94 KB, patch)
2020-10-21 16:31 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2020-10-20 18:10:28 UTC
Created attachment 218928 [details]
Upgrade to 1.5.23.

Upgrade to the latest.

Release notes at https://github.com/ibus/ibus/releases/tag/1.5.23
Comment 1 Fernando Apesteguía freebsd_committer 2020-10-21 07:50:38 UTC
^Triage: Reporter is committer, assign accordingly.

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A: patch did not apply cleanly. Would you mind checking it?

Patch contains CRLF terminators. If you pasted it in bugzilla try to upload it as an attachment.

Thanks!
Comment 2 Thierry Thomas freebsd_committer 2020-10-21 16:31:44 UTC
Created attachment 218952 [details]
Patch to upgrade ibus.

Notes:

- the release notes ispart of the first comment;

- sorry for the patch, but if Bugzilla does not support pasted attachments, it should be disabled!
Comment 3 Fernando Apesteguía freebsd_committer 2020-10-21 16:36:56 UTC
Thanks!

I copy-pasted the changelog to the URL field, so my scripts can look for things like "bug", "crash", "CVE" automatically :-)
Comment 4 Henry Hu 2020-10-25 23:02:12 UTC
Something's strange with this new version, as I can't finish compiling it. It fails in various ways.
Can you compile it with all options enabled and using "DCONF" as config system?
Comment 5 Henry Hu 2020-10-25 23:26:07 UTC
Seems like that if I build it not in parallel (set MAKE_JOBS_UNSAFE=yes), it builds fine, but if I don't, it either hangs waiting for something, or emits an error.
I think we need to add MAKE_JOBS_UNSAFE=yes to the Makefile. It does not take long to build, anyway.
Comment 6 Thierry Thomas freebsd_committer 2020-10-26 13:02:27 UTC
No problem here with these options, neither on my workstation nor in poudriere (j-4).

But this kind of failure is not always reproducible, and as you say, this port does not take too long to build, so this is safer to define MAKE_JOBS_UNSAFE=yes.
Comment 7 Henry Hu 2020-10-28 00:59:41 UTC
I'm fine with this patch, as long as MAKE_JOBS_UNSAFE=yes is added to makefile.
Comment 8 Thierry Thomas freebsd_committer 2020-10-31 17:55:19 UTC
Committed, thanks!
Comment 9 commit-hook freebsd_committer 2020-10-31 17:56:11 UTC
A commit references this bug:

Author: thierry
Date: Sat Oct 31 17:55:02 UTC 2020
New revision: 553788
URL: https://svnweb.freebsd.org/changeset/ports/553788

Log:
  Upgrade to 1.5.23.

  Release notes at <https://github.com/ibus/ibus/releases/tag/1.5.23>.

  Remark: MAKE_JOBS_UNSAFE seems needed in some cases.

  PR:		250491
  Submitted by:	/me
  Approved by:	 Henry Hu (maintainer)

Changes:
  head/textproc/ibus/Makefile
  head/textproc/ibus/distinfo
  head/textproc/ibus/pkg-plist